Class | RI::AttributeFormatter::AttributeString
In: | rdoc/ri/ri_formatter.rb
Parent: | Object

### Methods

<< empty? new next_word

### Attributes

txt | [R] |

### Public Class methods

new()

[Source]

    # File rdoc/ri/ri_formatter.rb, line 270
          def initialize
            @txt = []
            @optr = 0
          end

### Public Instance methods

<<(char)

[Source]

    # File rdoc/ri/ri_formatter.rb, line 275
          def <<(char)
            @txt << char
          end

empty?()

[Source]

    # File rdoc/ri/ri_formatter.rb, line 279
          def empty?
            @optr >= @txt.length
          end

next_word()

accept non space, then all following spaces

[Source]

    # File rdoc/ri/ri_formatter.rb, line 284
          def next_word
            start = @optr
            len = @txt.length

            while @optr < len && @txt[@optr].char != " "
              @optr += 1
            end

            while @optr < len && @txt[@optr].char == " "
              @optr += 1
            end

            @txt[start...@optr]
          end

[Validate]